Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml
Class SbmlModuleType

    java.lang.Object
      ru.biosoft.access.DataElementSupport
          biouml.plugins.sbml.SbmlModuleType

All Implemented Interfaces:
  DataElement, ModuleType

public class SbmlModuleType
extends DataElementSupport
implements ModuleType

Module type that process SBML diagrams. While SBML stores all information in diagram files, so DATA and METADATA directory absents and category issues are unsupported.

Field Summary
`static java.lang.String` | `VERSION`

Constructor Summary
`SbmlModuleType()`

Method Summary
`boolean` | `canCreateEmptyModule()` Indicates whether an empty module with initialised internal structure can be created
`Module` | `createModule(Repository parent, java.lang.String name)` Creates empty module with initialised internal structure.
`java.lang.String` | `getCategory(java.lang.Class c)` The category is used to group diagram elements by folders in BioUML `Module`.
`java.lang.Class[]` | `getDiagramTypes()`
`QueryEngine` | `getQueryEngine()`
`java.lang.String` | `getVersion()`
`boolean` | `isCategorySupported()`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Field Detail

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

Constructor Detail

### SbmlModuleType

    public SbmlModuleType()

Method Detail

### getDiagramTypes

    public java.lang.Class[] getDiagramTypes()

  Specified by:
    `getDiagramTypes` in interface `ModuleType`

### getQueryEngine

    public QueryEngine getQueryEngine()

  Specified by:
    `getQueryEngine` in interface `ModuleType`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `ModuleType`

### isCategorySupported

    public boolean isCategorySupported()

  Specified by:
    `isCategorySupported` in interface `ModuleType`

### getCategory

    public java.lang.String getCategory(java.lang.Class c)

  Description copied from interface: `ModuleType`
  The category is used to group diagram elements by folders in BioUML `Module`.

  Specified by:
    `getCategory` in interface `ModuleType`

### canCreateEmptyModule

    public boolean canCreateEmptyModule()

  Description copied from interface: `ModuleType`
  Indicates whether an empty module with initialised internal structure can be created

  Specified by:
    `canCreateEmptyModule` in interface `ModuleType`

### createModule

    public Module createModule(Repository parent,
                               java.lang.String name)
                        throws java.lang.Exception

  Description copied from interface: `ModuleType`
  Creates empty module with initialised internal structure.

  Specified by:
    `createModule` in interface `ModuleType`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.